{********************************************}
{     TeeChart Pro Charting Library          }
{ Copyright (c) 1995-2020 by Steema Software }
{         All Rights Reserved                }
{********************************************}
unit TeeTransposeSeriesEditor;
{$I TeeDefs.inc}

interface

uses {$IFNDEF LINUX}
     Windows, Messages,
     {$ENDIF}
     SysUtils, Classes,

     Graphics, Controls, Forms, Dialogs, StdCtrls, Buttons,

     TeEngine, TeCanvas, TeeTransposeSeries;

type
  TTransposeSeriesToolEdit = class(TForm)
    BTranspose: TButton;
    procedure BTransposeClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
    Tool : TTransposeSeriesTool;
  public
    { Public declarations }
  end;

implementation

{$IFNDEF LCL}
{$R *.DFM}
{$ELSE}
{$R *.lfm}
{$ENDIF}

uses
  Chart, TeeProCo;

{ TTransposeSeriesToolEdit }

procedure TTransposeSeriesToolEdit.BTransposeClick(Sender: TObject);
begin
  Tool.Transpose;
end;

procedure TTransposeSeriesToolEdit.FormShow(Sender: TObject);
begin
  Tool:=TTransposeSeriesTool(Tag);
end;

initialization
  RegisterClass(TTransposeSeriesToolEdit);
end.

